Bug 230221 - sysutils/fileprune: Update to 1.12
Summary: sysutils/fileprune: Update to 1.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL: https://www.spinellis.gr/sw/unix/file...
Keywords: easy, needs-qa, patch-ready
Depends on:
Blocks:
 
Reported: 2018-07-31 02:10 UTC by Nathan
Modified: 2019-01-12 17:28 UTC (History)
3 users (show)

See Also:
dds: maintainer-feedback+


Attachments
Update (1.36 KB, patch)
2018-07-31 02:10 UTC, Nathan
ndowens: maintainer-approval+
Details | Diff
Update; Remove patch, use make_args instead (2.42 KB, patch)
2018-09-06 00:29 UTC, Nathan
no flags Details | Diff
Update ; replace patch using sed (2.71 KB, patch)
2018-09-22 03:28 UTC, Nathan
ndowens: maintainer-approval? (dds)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-07-31 02:10:30 UTC
Created attachment 195670 [details]
Update

Changelog:

revision 1.11
date: 2015/12/06 09:52
Add verbose flag
Comment 1 Diomidis Spinellis freebsd_committer 2018-07-31 05:11:25 UTC
Thank you!  LGTM. Keep in mind that there is also version 1.12 available, plus a few more changes on GitHub.
Comment 2 Diomidis Spinellis freebsd_committer 2018-07-31 05:12:41 UTC
I don't have commit privileges to ports, so I reset assignee to default.
Comment 3 Diomidis Spinellis freebsd_committer 2018-08-06 11:46:57 UTC
LGTM
Comment 4 Nathan 2018-08-06 13:06:56 UTC
If it’s fine don’t forget + in flags
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-08-10 04:06:50 UTC
(In reply to Diomidis Spinellis from comment #2)

!Ports committers can commit to ports with a ports committer review/approval, and are encouraged to. Please self-assign and open a review @ Phabricator or have a ports reviewer review/approve it here (with the maintainer-approval attachment flag)

This change needs QA (poudriere) confirmation at least
Comment 6 Nathan 2018-09-06 00:29:30 UTC
Created attachment 196904 [details]
Update; Remove patch, use make_args instead

sysutils/fileprune:

* Update to 1.11
* Remove patch for Makefile
  -- make_args can do the same as patch does

Changelog: https://www.spinellis.gr/sw/unix/fileprune/ChangeLog.txt
Comment 7 Nathan 2018-09-22 03:28:23 UTC
Created attachment 197328 [details]
Update ; replace patch using sed

 sysutils/fileprune: Update to 1.12
 
 Log:
  - Correct LICENSE info
  - While here, add LICENSE file
  - Switch to using Github
    Latest version available
 PR:             230221
 Submitted by:   Nathan <ndowens@yahoo.com>
 
 Changes: https://github.com/dspinellis/fileprune/blob/master/ChangeLog.txt
Comment 8 commit-hook freebsd_committer 2019-01-12 17:28:09 UTC
A commit references this bug:

Author: miwi
Date: Sat Jan 12 17:27:43 UTC 2019
New revision: 490068
URL: https://svnweb.freebsd.org/changeset/ports/490068

Log:
  - Update to 1.12

  	https://github.com/dspinellis/fileprune/blob/master/ChangeLog.txt

  PR:		230221
  Submitted by:	ndowens@yahoo.com
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/sysutils/fileprune/Makefile
  head/sysutils/fileprune/distinfo
  head/sysutils/fileprune/files/